Add image in Storage
Add image in Storage
POST
/
forms
/
image
Add image in Storage
curl --request POST \
--url https://services.leadconnectorhq.com/forms/image \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--header 'Version: <version>' \
--form 'formId=<string>' \
--form 'locationId=<string>' \
--form 'type=<string>'const form = new FormData();
form.append('formId', '<string>');
form.append('locationId', '<string>');
form.append('type', '<string>');
const options = {
method: 'POST',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
options.body = form;
fetch('https://services.leadconnectorhq.com/forms/image', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/forms/image"
payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"formId\"\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"locationId\"\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"type\"\r\n\r\n<string>\r\n-----011000010111000001101001--"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text){
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}Authorizations
Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
Headers
API Version
Available options:
2021-07-28 Response
Successful response
Last modified on March 8, 2026
Was this page helpful?
⌘I
Add image in Storage
curl --request POST \
--url https://services.leadconnectorhq.com/forms/image \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--header 'Version: <version>' \
--form 'formId=<string>' \
--form 'locationId=<string>' \
--form 'type=<string>'const form = new FormData();
form.append('formId', '<string>');
form.append('locationId', '<string>');
form.append('type', '<string>');
const options = {
method: 'POST',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
options.body = form;
fetch('https://services.leadconnectorhq.com/forms/image', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/forms/image"
payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"formId\"\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"locationId\"\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"type\"\r\n\r\n<string>\r\n-----011000010111000001101001--"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text){
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}